Wanted to use the Glimmerblocker in Mac which runs with the Mountain Lion 10.8.3 but now that application says it's no longer compatible then what should I do? Which pop up blocker will work fine with the latest 10.8.3 Mountain Lion?